##########################################
## VfUCGenderGapNWLCStudyReplication2.r ##
##########################################
## Curtis Miller                        ##
## 9/18/14                              ##
##########################################

## This script does some simple analysis of IPUMS data and the number of men vs women in low-wage occupations.

## This script needs Low_wage_occs.csv and cps_00002.csv in the working directory

low_wage_occs <- read.csv('Low_wage_occs.csv')
data <- read.csv('cps_00002.csv')

low_wage_codes <- low_wage_occs$IPUMS_OCC_CODE
rm(low_wage_occs)

attach(data)

# Total number of low-wage workers:
n = length(OCC[which(OCC %in% low_wage_codes)])

# Total number of women in low-wage jobs (note that :
low_wage_women = length(OCC[which(OCC %in% low_wage_codes & SEX == 2)])
low_wage_men = length(OCC[which(OCC %in% low_wage_codes & SEX == 1)])

c(low_wage_women / n, low_wage_men / n) -> percentages
# Create a simple pie chart
pie(percentages, labels = paste(paste(c('Women', 'Men'), round(percentages*100)), '%', sep = ''), main = 'Percentage of sexes in low wage work in Utah', col = rainbow(2))
